curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/prompts \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/prompts', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Suggested Messages
Retrieve Suggested Messages
Returns the suggested messages for the chatbot
GET
/
v1
/
{chatbot_id}
/
prompts
curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/prompts \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/prompts', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Path Parameters
| Name | Type | Description |
|---|---|---|
| chatbot_id* | String | The ID of your chatbot. You can find the ID on the settings page for your chatbot. |
Headers
| Name | Type | Description |
|---|---|---|
| Accept* | String | application/json |
| Authorization* | String | Bearer |
curl -X GET https://api.sitespeak.ai/v1/{chatbot_id}/prompts \
-H "Accept: application/json" \
-H "Authorization: Bearer YOUR_API_TOKEN"
const response = await fetch('https://api.sitespeak.ai/v1/{chatbot_id}/prompts', {
method: 'GET',
headers: {
'Accept': 'application/json',
'Authorization': 'Bearer YOUR_API_TOKEN'
}
});
const data = await response.json();
console.log(data);
Response
- 200 Success
- 401 Permission denied
[
{
"id": "",
"chatbot_id": "",
"name": "Pricing Plans",
"prompt": "How much does it cost to use your service?",
"type": "ai",
"action": null,
"created_at": "2023-10-05T13:36:59.000000Z",
"updated_at": "2023-10-05T13:36:59.000000Z"
},
{
"id": "",
"chatbot_id": "",
"name": "",
"prompt": "",
"type": "ai",
"action": null,
"created_at": "2023-10-05T13:36:45.000000Z",
"updated_at": "2023-10-05T13:36:45.000000Z"
}
]
Returns when the API token is invalid or missing.
Last modified on January 22, 2026
⌘I